IPSW-EXTRACT(1)

NAME

ipsw-extract - Extract kernelcache, dyld_shared_cache or DeviceTree from IPSW/OTA

SYNOPSIS

ipsw extract [flags]

DESCRIPTION

Extract kernelcache, dyld_shared_cache or DeviceTree from IPSW/OTA

OPTIONS

--device=""
    Device to extract kernel for (e.g. iPhone10,6)

--dmg=""
    Extract DMG file (app, sys, fs)

--driverkit[=false]
    Extract DriverKit dyld_shared_cache

--dtree[=false]
    Extract DeviceTree

-d, --dyld[=false]
    Extract dyld_shared_cache

-a, --dyld-arch=[]
    dyld_shared_cache architecture to extract

-f, --files[=false]
    Extract File System files

--flat[=false]
    Do NOT perserve directory structure when extracting

-h, --help[=false]
    help for extract

--iboot[=false]
    Extract iBoot

--insecure[=false]
    do not verify ssl certs

-j, --json[=false]
    Output extracted paths as JSON

--kbag[=false]
    Extract Im4p Keybags

-k, --kernel[=false]
    Extract kernelcache

-o, --output=""
    Folder to extract files to

-p, --pattern=""
    Extract files that match regex

--proxy=""
    HTTP/HTTPS proxy

-r, --remote[=false]
    Extract from URL

--sep[=false]
    Extract sep-firmware

--sptm[=false]
    Extract SPTM and TXM Firmwares

--sys-ver[=false]
    Extract SystemVersion

OPTIONS INHERITED FROM PARENT COMMANDS

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO

ipsw(1)

HISTORY

1-May-2024 Auto generated by spf13/cobra